# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Thu Mar 30 14:54:38 2023
# ------------------------------------------------

package:
  name: conda
  version: 23.3.1
source:
  fn: conda-23.3.1.tar.gz
  patches:
    - patches/01-deprecations-version-fallback.patch
  sha256: f0203ae42a8a360170e8aebd45e42b6c8bf283d44b9016ef4b30451c0b55c8dc
  url: https://github.com/conda/conda/archive/23.3.1.tar.gz
build:
  always_include_files:
    - bin/activate
    - bin/conda
    - bin/deactivate
  number: '0'
  string: py311h38be061_0
requirements:
  build: []
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - boltons 23.0.0 pyhd8ed1ab_0
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.12.7 ha878542_0
    - cffi 1.15.1 py311h409f033_3
    - colorama 0.4.6 pyhd8ed1ab_0
    - conda-package-handling 2.0.2 pyh38be061_0
    - conda-package-streaming 0.7.0 pyhd8ed1ab_1
    - ld_impl_linux-64 2.40 h41732ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.40.0 h753d276_0
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuuid 2.38.1 h0b41bf4_0
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openssl 3.1.0 h0b41bf4_0
    - packaging 23.0 pyhd8ed1ab_0
    - pip 23.0.1 pyhd8ed1ab_0
    - pluggy 1.0.0 pyhd8ed1ab_5
    - pycparser 2.21 pyhd8ed1ab_0
    - python 3.11.0 he550d4f_1_cpython
    - python_abi 3.11 3_cp311
    - readline 8.2 h8228510_1
    - ruamel.yaml 0.17.21 py311h2582759_3
    - ruamel.yaml.clib 0.2.7 py311h2582759_1
    - setuptools 67.6.1 pyhd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - toolz 0.12.0 pyhd8ed1ab_0
    - tqdm 4.65.0 pyhd8ed1ab_1
    - tzdata 2023c h71feb2d_0
    - wheel 0.40.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - zstandard 0.19.0 py311hbe0fcd7_1
    - zstd 1.5.2 h3eb15da_6
  run:
    - boltons >=23.0.0
    - conda-package-handling >=1.3.0
    - jsonpatch >=1.32
    - packaging >=23.0
    - pluggy >=1.0.0
    - pycosat >=0.6.3
    - pyopenssl >=16.2.0
    - python >=3.11,<3.12.0a0
    - python_abi 3.11.* *_cp311
    - requests >=2.20.1,<3
    - ruamel.yaml >=0.11.14,<0.18
    - setuptools >=31.0.1
    - toolz >=0.8.1
    - tqdm >=4
  run_constrained:
    - conda-build >=3
    - conda-content-trust >=0.1.1
    - conda-env >=2.6
    - conda-libmamba-solver >=22.12.0
    - cytoolz >=0.8.1
test:
  commands:
    - env run_pytest=no bash test_runner.sh
  downstreams: null
  files:
    - commands_to_test.sh
    - test_runner.sh
  imports:
    - conda
    - conda_env
  requires:
    - mock
    - pexpect
    - responses
about:
  description: 'Conda is an open source package management system and environment
    management system for installing multiple versions of software packages and their
    dependencies and switching easily between them. It works on Linux, OS X and Windows,
    and was created for Python programs but can package and distribute any software.

    '
  dev_url: https://github.com/conda/conda
  doc_url: https://docs.conda.io/projects/conda/en/stable/
  home: https://conda.io
  license: BSD-3-Clause
  license_file: LICENSE.txt
  summary: OS-agnostic, system-level binary package and environment manager.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - dbast
    - isuruf
    - jakirkham
    - jezdez
    - kenodegard
    - mbargull
    - ocefpaf
